xmlsignature::SignatureBuilder Class Reference

Builder for Signature objects. More...

`#include <xmltooling/signature/Signature.h>`

Inheritance diagram for xmlsignature::SignatureBuilder:
[legend]
Collaboration diagram for xmlsignature::SignatureBuilder:
[legend]

## Public Member Functions

virtual Signature * | buildObject (const XMLCh *nsURI, const XMLCh *localName, const XMLCh *prefix=0, const xmltooling::QName *schemaType=0) const
| Creates an empty XMLObject with a particular element name.
virtual Signature * | buildObject () const
| Default builder.
Public Member Functions inherited from xmltooling::XMLObjectBuilder
XMLObject * | buildFromQName (const QName &q) const
| Creates an empty XMLObject with a particular element name.
XMLObject * | buildFromElement (xercesc::DOMElement *element, bool bindDocument=false) const
| Creates an unmarshalled XMLObject from a DOM Element.
XMLObject * | buildFromDocument (xercesc::DOMDocument *doc, bool bindDocument=true) const
| Creates an unmarshalled XMLObject from the root of a DOM Document.

## Static Public Member Functions

static Signature * | buildSignature ()
| Singleton builder.
Static Public Member Functions inherited from xmltooling::XMLObjectBuilder
static XMLObject * | buildOneFromElement (xercesc::DOMElement *element, bool bindDocument=false)
| Creates an unmarshalled XMLObject using the default build method, if a builder can be found.
static const XMLObjectBuilder * | getBuilder (const QName &key)
| Retrieves an XMLObjectBuilder using the key it was registered with.
static const XMLObjectBuilder * | getBuilder (const xercesc::DOMElement *element)
| Retrieves an XMLObjectBuilder for a given DOM element.
static const XMLObjectBuilder * | getDefaultBuilder ()
| Retrieves the default XMLObjectBuilder for DOM elements.
static const std::map< QName, XMLObjectBuilder * > & | getBuilders ()
| Gets an immutable list of all the builders currently registered.
static void | registerBuilder (const QName &builderKey, XMLObjectBuilder *builder)
| Registers a new builder for the given key.
static void | registerDefaultBuilder (XMLObjectBuilder *builder)
| Registers a default builder.
static void | deregisterBuilder (const QName &builderKey)
| Deregisters a builder.
static void | deregisterDefaultBuilder ()
| Deregisters default builder.
static void | destroyBuilders ()
| Unregisters and destroys all registered builders.

## Detailed Description

Builder for Signature objects.

## Member Function Documentation

## buildObject() [1/2]

virtual Signature * xmlsignature::SignatureBuilder::buildObject | ( |  | ) | const

virtual

Default builder.

Returns
  empty Signature object

Implements xmltooling::ConcreteXMLObjectBuilder.

## buildObject() [2/2]

virtual Signature * xmlsignature::SignatureBuilder::buildObject | ( | const XMLCh * | nsURI,
|  | const XMLCh * | localName,
|  | const XMLCh * | prefix = 0,
|  | const xmltooling::QName * | schemaType = 0 ) const

virtual

Creates an empty XMLObject with a particular element name.

The results are undefined if localName is nullptr or empty.

The caller is responsible for freeing the resulting object.

Parameters

  nsURI | namespace URI for element
  localName | local name of element
  prefix | prefix of element name
  schemaType | xsi:type of the object

Returns
  the empty XMLObject

Reimplemented from xmltooling::ConcreteXMLObjectBuilder.

The documentation for this class was generated from the following file:

- xmltooling/signature/Signature.h